# Class GZIPHeader

java.lang.Object
com.codename1.io.gzip.GZIPHeader

public class GZIPHeader extends Object

##### See also

- "http://www.ietf.org/rfc/rfc1952.txt"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `OS_AMIGA`
  `static final byte`
  `OS_ATARI`
  `static final byte`
  `OS_CPM`
  `static final byte`
  `OS_MACOS`
  `static final byte`
  `OS_MSDOS`
  `static final byte`
  `OS_OS2`
  `static final byte`
  `OS_QDOS`
  `static final byte`
  `OS_RISCOS`
  `static final byte`
  `OS_TOPS20`
  `static final byte`
  `OS_UNIX`
  `static final byte`
  `OS_UNKNOWN`
  `static final byte`
  `OS_VMCMS`
  `static final byte`
  `OS_VMS`
  `static final byte`
  `OS_WIN32`
  `static final byte`
  `OS_ZSYSTEM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GZIPHeader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getComment()`
  `long`
  `getCRC()`
  `long`
  `getModifiedTime()`
  `String`
  `getName()`
  `int`
  `getOS()`
  `void`
  `setComment(String comment)`
  `void`
  `setCRC(long crc)`
  `void`
  `setModifiedTime(long mtime)`
  `void`
  `setName(String name)`
  `void`
  `setOS(int os)`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### OS_MSDOS

    public static final byte OS_MSDOS
    See Also:
      - Constant Field Values

  - ### OS_AMIGA

    public static final byte OS_AMIGA
    See Also:
      - Constant Field Values

  - ### OS_VMS

    public static final byte OS_VMS
    See Also:
      - Constant Field Values

  - ### OS_UNIX

    public static final byte OS_UNIX
    See Also:
      - Constant Field Values

  - ### OS_ATARI

    public static final byte OS_ATARI
    See Also:
      - Constant Field Values

  - ### OS_OS2

    public static final byte OS_OS2
    See Also:
      - Constant Field Values

  - ### OS_MACOS

    public static final byte OS_MACOS
    See Also:
      - Constant Field Values

  - ### OS_TOPS20

    public static final byte OS_TOPS20
    See Also:
      - Constant Field Values

  - ### OS_WIN32

    public static final byte OS_WIN32
    See Also:
      - Constant Field Values

  - ### OS_VMCMS

    public static final byte OS_VMCMS
    See Also:
      - Constant Field Values

  - ### OS_ZSYSTEM

    public static final byte OS_ZSYSTEM
    See Also:
      - Constant Field Values

  - ### OS_CPM

    public static final byte OS_CPM
    See Also:
      - Constant Field Values

  - ### OS_QDOS

    public static final byte OS_QDOS
    See Also:
      - Constant Field Values

  - ### OS_RISCOS

    public static final byte OS_RISCOS
    See Also:
      - Constant Field Values

  - ### OS_UNKNOWN

    public static final byte OS_UNKNOWN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GZIPHeader

    public GZIPHeader()

- ## Method Details

  - ### getModifiedTime

    public long getModifiedTime()

  - ### setModifiedTime

    public void setModifiedTime(long mtime)

  - ### getOS

    public int getOS()

  - ### setOS

    public void setOS(int os)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCRC

    public long getCRC()

  - ### setCRC

    public void setCRC(long crc)

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`